<!DOCTYPE html>
<html>
<head>
  <title>FitWay</title>
  <%= stylesheet_link_tag    "application", :media => "all" %>
  <%= javascript_include_tag "application" %>
  <%= csrf_meta_tags %>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<% if !session[:user_id].nil? %>
    <div class="navbar navbar-inverse navbar-fixed-top">
      <div class="container container-header">
        <div class="navbar-header">
       		<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
        		<span class="icon-bar"></span>
        		<span class="icon-bar"></span>
        		<span class="icon-bar"></span>
      		</button>
          	<a class="navbar-brand" href="/goals">FitWay</a>
        </div>
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li><a href="/goals" class="navbar-fitway"><span class="glyphicon glyphicon-tasks"></span> Feeds</a></li>
            <li><a href="/highscore/show" class="navbar-fitway"><span class="glyphicon glyphicon-stats"></span> Highscore</a></li>
            <li><a href="/users" class="navbar-fitway"><span class="glyphicon glyphicon-user"></span> Friends</a></li>
            <li>           <!-- clairebarnes -->
              <% if !session[:user_id].nil? %>
                  <a data-toggle="dropdown" href="#">
                    <%= User.find(session[:user_id]).username %>
                    <b class="caret"></b>
                  </a>
                  <ul class="dropdown-menu" role="menu" aria-labelledby="dLabel">
                    <li><a href="/users/<%=session[:user_id]%>">Profile</a></li>
                    <li><%= link_to 'Logout', :controller => 'auth', :action => 'logout', :class => 'navbar-fitway' %></li>
                  </ul>
              <% else %>
                  <%= link_to 'Login', :controller => 'auth', :action => 'login' %>
              <% end %>
            </li>

			
          </ul>
        </div><!--/.nav-collapse -->
      </div>
    </div>




<% end %>



<%= yield %>

</body>
</html>
